﻿Shader "Custom/simpleFrag" {
	Properties {
		_Color  ("Color", Color) = (1, 1, 1, 1)
		_MainTex ("Base (RGB)", 2D) = "white" {}
	}
	SubShader {
		Tags {"Queue"="Transparent" "IgnoreProjector"="True" "RenderType"="Transparent"}
		ZWrite Off
        Blend SrcAlpha OneMinusSrcAlpha
		Pass {
			CGPROGRAM
			#pragma vertex vert_img
			#pragma fragment frag

			#include "UnityCG.cginc"

			uniform sampler2D _MainTex;
			float4 _Color;

			float4 frag(v2f_img i) : COLOR {
				return tex2D(_MainTex, i.uv) * _Color;
			}
			ENDCG
		}
	}
	FallBack "Unlit/Transparent"
}
    